ranges::logical_negate< FD > Struct Template Reference
Functional

## Public Member Functions

template<typename T >
constexpr | logical_negate (T &&pred) requires(!defer
template<typename... Args>
constexpr auto | operator() (Args &&... args) &-> bool requires predicate< FD &, Args... >
template<typename... Args>
constexpr auto | operator() (Args &&... args) const &-> bool requires predicate< FD const &, Args... >
template<typename... Args>
constexpr auto | operator() (Args &&... args) &&-> bool requires predicate< FD, Args... >

## Member Function Documentation

## operator()() [1/2]

template<typename FD >
template<typename... Args>

constexpr auto ranges::logical_negate< FD >::operator() | ( | Args &&... | args | ) | const & -> bool requires predicate<FD const &, Args...>

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## operator()() [2/2]

template<typename FD >
template<typename... Args>

constexpr auto ranges::logical_negate< FD >::operator() | ( | Args &&... | args | ) | && -> bool requires predicate<FD, Args...>

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.